package com.kingdee.eas.custom.salarytemplate;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WagesChromatographyEntryCollection extends AbstractObjectCollection 
{
    public WagesChromatographyEntryCollection()
    {
        super(WagesChromatographyEntryInfo.class);
    }
    public boolean add(WagesChromatographyEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WagesChromatographyEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WagesChromatographyEntryInfo item)
    {
        return removeObject(item);
    }
    public WagesChromatographyEntryInfo get(int index)
    {
        return(WagesChromatographyEntryInfo)getObject(index);
    }
    public WagesChromatographyEntryInfo get(Object key)
    {
        return(WagesChromatographyEntryInfo)getObject(key);
    }
    public void set(int index, WagesChromatographyEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WagesChromatographyEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WagesChromatographyEntryInfo item)
    {
        return super.indexOf(item);
    }
}